//
// This file was generated by the Eclipse Implementation of JAXB, v3.0.0 
// See https://eclipse-ee4j.github.io/jaxb-ri 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.08.30 at 10:47:28 AM CEST 
//


package se.arbetsformedlingen.wsdl;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for EURegion complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="EURegion"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="EURegionID" type="{http://www.w3.org/2001/XMLSchema}int"/&gt;
 *         &lt;element name="Term" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="NationalNUTSLevel3Code" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "EURegion", namespace = "urn:ams.se:Taxonomy", propOrder = {
    "euRegionID",
    "term",
    "nationalNUTSLevel3Code"
})
public class EURegion {

    @XmlElement(name = "EURegionID")
    protected int euRegionID;
    @XmlElement(name = "Term")
    protected String term;
    @XmlElement(name = "NationalNUTSLevel3Code")
    protected String nationalNUTSLevel3Code;

    /**
     * Gets the value of the euRegionID property.
     * 
     */
    public int getEURegionID() {
        return euRegionID;
    }

    /**
     * Sets the value of the euRegionID property.
     * 
     */
    public void setEURegionID(int value) {
        this.euRegionID = value;
    }

    /**
     * Gets the value of the term property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerm() {
        return term;
    }

    /**
     * Sets the value of the term property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerm(String value) {
        this.term = value;
    }

    /**
     * Gets the value of the nationalNUTSLevel3Code property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNationalNUTSLevel3Code() {
        return nationalNUTSLevel3Code;
    }

    /**
     * Sets the value of the nationalNUTSLevel3Code property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNationalNUTSLevel3Code(String value) {
        this.nationalNUTSLevel3Code = value;
    }

}
